body, html, head{
    margin: 0;
    padding: 0;
    min-width: 800px;
    background-color: #e0e0e0;
    height: 100%;
    /* overflow-x: hidden; */
}
*{
    margin: 0;
}
html{
    scroll-behavior: smooth;
    scroll-padding-top: 80px;

}

.menu{
    background-color: transparent;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    min-width: 800px;
    display: flex;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    z-index: 1000;
}
.menu img{
    width: 130px;
    height: 65px;
    margin: 0 20px;
}
.menu ul{
    display: flex;
    align-items: center;
    margin: 0;
    padding: 0;
    margin-left: auto;
}
.menu ul li{
    list-style: none;
    margin: 0 20px;
    font-size: 18px;
    color: #ffffff;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;

    cursor: pointer;
    transition: color 0.3s ease;
}

.menu a{
    text-decoration: none;
    color: inherit;
}
.menu ul li:hover{
    color: #c7c7c7;
}

.inicial{
    margin: 0;
}
/* .inicial #logo{
    position: absolute;
    width: 500px;
    height: 250px;
    top: 50%;
    left: 50%; 
    transform: translate(-50%, -50%);
    box-shadow: 10px 10px 20px rgba(61, 61, 61, 0.4);
} */
.inicial #principal{
    width: 100%;
    height: 90dvh;
    object-fit:cover;
    object-position:top;
    margin: 0;
    /* filter: blur(1px); */
}
.inicial h2{
    position: absolute;
    top: 39%;   
    left: 50%;
    transform: translate(-50%, -39%);
    color: #f1e8e8;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 250;
    font-size: clamp(25px, 2.4dvw, 40px);
    margin: 0;
    text-shadow: 10px 10px 20px rgba(0, 0, 0, 0.8);
    z-index: 10;
}
.inicial h1{
    position: absolute;
    top: 30%;   
    left: 50%;
    transform: translate(-50%, -30%);
    color: #ffffff;
    font-family:'Times New Roman', Times, serif;
    font-weight: 350;
    font-size: clamp(40px, 4dvw, 70px);
    margin: 0;
    text-shadow: 10px 10px 20px rgba(0, 0, 0, 0.8);
    text-decoration: underline;
    z-index: 10;
    width: 100%;
    text-align: center;
}

/* .sobre{
    width: 100%;
    height: 70dvh;
    margin: 0;

    background-color: #ffffff;
    border-top: 5px solid #625553;
}
.sobre h2{
    color: #c7c7c7;
    font-family:Georgia, 'Times New Roman', Times, serif;
    font-weight: 500;
    font-size: 50px;
    text-align: center;
    margin: 0;
}
.sobre p{
    color: #625553;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: 25px;
    text-align: center;
    margin: 20px 0 0 0;
    width: 30%;
    text-align: justify;
} */

.acomodacoes{
    width: 100%;
    height: 90dvh;
    margin: 0;

    background-color: #e0e0e0;
    display: flex;
    position: relative;
    justify-content: center;
    flex-direction: column;
}
.acomodacoes #titulo{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 45%;
    height: 94%;
    border-radius: 10px;
    margin-top: 0;
    margin-left: 5px;
    background-color: #c7c7c752;
    box-shadow: 15px 0px 30px rgba(61, 61, 61, 0.4);
}
#titulo h3{
    color: #625553;
    font-family:system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(35px, 2.8dvw, 53px);
    margin-bottom: 20px;
    letter-spacing: -3px;
}
#titulo p{
    color: #625553;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(18px, 1.6dvw, 25px);
    text-align: center;
    /* margin: 20px 0 0 0; */
    width: 80%;
    text-align: justify;
}
.acomodacoes #quarto1{
    width: 50%;
    height: 45%;
    background-color: #625553;

    position: absolute;
    margin-left: 100%;
    transform: translate(-105%, 0);
    margin-top: 0;
    top: 3%;
    border-radius: 10px;
    /* box-shadow: 10px 10px 20px rgba(61, 61, 61, 0.4); */
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.q1f{
    position: absolute;
    width: 50%;
    height: 100%;
    opacity: 0;
    margin-left: 100%;
    transform: translate(-100%, 0);
    transition: opacity 1s ease-in-out;
}
.q1f.active{
    opacity: 1;
}
#quarto1 div img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}
@keyframes fade {
  0% { opacity: 0; }
  6.666% { opacity: 1; }
  33.333% { opacity: 1; }
  36.666% { opacity: 0; }
  100% { opacity: 0; }
}
.q1f{
    animation: fade 15s infinite;
    animation-timing-function: ease-in-out;
    animation-fill-mode: both;
}
.q1f:nth-of-type(1) { animation-delay: 0s; }
.q1f:nth-of-type(2) { animation-delay: 5s; }
.q1f:nth-of-type(3) { animation-delay: 10s; }

#quarto1 h3{
    color: #c7c7c7;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(25px, 2dvw, 40px);
    margin-left: 30px;
}
#quarto1 p{
    color: #c7c7c7;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(15px, 1dvw, 25px);
    width: 40%;
    margin-left: 30px;

}

.acomodacoes #quarto2{
    width: 50%;
    height: 45%;
    background-color: #625553;

    position: absolute;
    margin-left: 100%;
    transform: translate(-105%, 0);
    margin-top: 0;
    top: 51%;
    border-radius: 10px;
    /* box-shadow: 10px 10px 20px rgba(61, 61, 61, 0.4); */
    display: flex;
    justify-content: center;
    flex-direction: column;
}
.q2f{
    position: absolute;
    width: 50%;
    height: 100%;
    opacity: 0;
    margin-left: 100%;
    transform: translate(-100%, 0);
    transition: opacity 1s ease-in-out;
}
.q2f.active{
    opacity: 1;
}
#quarto2 div img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}
.q2f{
    animation: fade 15s infinite;
    animation-timing-function: ease-in-out;
    animation-fill-mode: both;
}
.q2f:nth-of-type(1) { animation-delay: 0s; }
.q2f:nth-of-type(2) { animation-delay: 5s; }
.q2f:nth-of-type(3) { animation-delay: 10s; }

#quarto2 h3{
    color: #c7c7c7;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(25px, 2dvw, 40px);
    margin-left: 30px;
}
#quarto2 p{
    color: #c7c7c7;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(15px, 1dvw, 25px);
    width: 40%;
    margin-left: 30px;

}


.restaurante{
    width: 100%;
    height: 60vh;
    margin: 0;

    background-color: #e0e0e063;
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}
.restaurante div{
    width: 90%;
    height: 65%;
    padding: 0;
    background-color: #c7c7c752;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 15px 15px 40px rgba(61, 61, 61, 0.4);
    margin-top: -5%;
}
.restaurante h3{
    color: #625553;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(35px, 2.7dvw, 53px);
    letter-spacing: -3px;
    margin-top: -12px;
}
.restaurante p{
    color: #625553;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 350;
    font-size: clamp(18px, 1.6dvw, 25px);
    width: 80%;
    margin-top: 20px;
    text-align: center;
}

.informacoes{
    width: 100%;
    height: 40dvh;
    margin: 0;

    background-color: #625553;
    display: flex;
    position: relative;
    align-items: start;
    flex-direction: column;
    position: relative;    
    /* box-shadow: 0px 0px 20px rgba(61, 61, 61, 0.4); */
}
.informacoes h3{
    color: #c7c7c7;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 200;
    font-size: clamp(25px, 1.8dvw, 53px);
    margin-left: 30px;
}
.informacoes p{
    color: #c7c7c7;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-weight: 300;
    font-size: clamp(15px, 1dvw, 25px);
    text-align: start;
    margin-left: 30px;
    letter-spacing: 2px;
    width: 70%;
}

#contato{
    margin-top: 1%;
}
#localizacao{
    margin-top: 1%;
}
.informacoes a{
    text-decoration: none;
    color: inherit;
}
.informacoes a #facebook{
    width: 35px;
    height: 35px;
    position: absolute;
    top: 81%;
    left: 30px;
    opacity: 0.6;
    transition: opacity 0.3s ease;
}
.informacoes a #instagram{
    width: 44px;
    height: 44px;
    position: absolute;
    left: 80px;
    top: 80%;
    opacity: 0.6;
    transition: opacity 0.3s ease;
}
.informacoes a #whatsapp{
    width: 36px;
    height: 36px;
    position: absolute;
    left: 135px;
    top: 81%;
    opacity: 0.6;
    transition: opacity 0.3s ease;
}
.informacoes a #instagram:hover, .informacoes a #facebook:hover, .informacoes a #whatsapp:hover{
    opacity: 1;
}





@media screen and (max-width: 468px) {
    body, html, head{
        min-width: 0;
        min-height: 100dvh;
    }
    .menu{
        min-width: 0;
        top: env(safe-area-inset-top);
    }
    .menu img{
        width: 90px;
        height: 45px;
    }
    .menu ul li{
        font-size: clamp(10px, 3.2dvw, 15px);
        margin: 0 10px;
    }
    .menu ul li:hover{
        color: #ffffff;
    }

    .inicial #principal{
        height: 60dvh;
    }
    .inicial h1{
        font-size: clamp(28px, 4.5dvw, 50px);
        margin: 0;
    }
     .inicial h2{
        font-size: clamp(20px, 3dvw, 40px);
        width: 100%;
        text-align: center;
        margin:0;
        margin-top: -36px; 
    }

    .acomodacoes{
        display: flex;
        flex-direction: column;
        align-items: center;
        height: 80dvh;
    }
    .acomodacoes #titulo{
        width: 95%;
        height: 30%;
        margin: 0;
        margin-top: 0%;
        box-shadow: 5px 0px 20px rgba(61, 61, 61, 0.4);
    }
    #titulo h3{
        margin-bottom: 0;
        font-size: clamp(25px, 4dvw, 50px);
        letter-spacing: 0;
    }
    #titulo p{
        width: 90%;
        margin: 0;
        font-size: clamp(14px, 3.5dvw, 35px);
    }
    .acomodacoes #quarto1{
            width: 95%;
            height: 30%;
            margin: 0;
            position: relative;
            margin-top: 3%;
            top:0;
            left:0;
            transform: translate(0,0);
    }
    .acomodacoes #quarto2{
            width: 95%;
            height: 30%;
            margin: 0;
            margin-top: 3%;
            position: relative;
            top:0;
            left:0;
            transform: translate(0,0);
    }
    #quarto1 p, #quarto2 p{
        width: 40%;
        margin-left: 10px;
        font-size: clamp(14px, 3dvw, 35px);
    }
    #quarto1 h3, #quarto2 h3{
        margin-left: 10px;
        font-size: clamp(16px, 5dvw, 25px);
        font-weight: 400;
    }


    .restaurante{
        height: 50dvh;
    }
    .restaurante div{
        width: 90%;
        height: 90%;
    }
    .restaurante p{
        margin-top:2%;
        font-size: clamp(14px, 4dvw, 35px);
        text-align: justify;
        width:80%;
    }
    .restaurante h3{
        margin-top: 0;
        font-size: clamp(25px, 3.5dvw, 50px);
        letter-spacing: 0;
    }

    .informacoes{
        height: 35dvh;
        background-color: #625553; /* Cor desejada */

        padding-bottom: env(safe-area-inset-bottom);
        padding-bottom: constant(safe-area-inset-bottom); 
    }
    .informacoes h3{
        margin-left: 10px;
        font-size: clamp(16px, 5dvw, 25px);
    }
    .informacoes p{
        margin-left: 12px;
        font-size: clamp(14px, 3vw, 35px);
        letter-spacing: 0;
        width: 90%;
    }
    .informacoes a #facebook{
        width: 30px;
        height: 30px;
        left: 2%;
        /* top: 225px; */
        /* bottom: 10%; */
        top: auto;
        bottom: auto;
        margin-top: 7px;
    }
    .informacoes a #instagram{
        width: 39px;
        height: 39px;
        left: 12%;
        top: auto;
        bottom: auto;
        margin-top: 3px;
        /* top: 222px; */
        /* transform: translate(-15%, 0); */
    }
    .informacoes a #whatsapp{
        width: 30px;
        height: 30px;
        left: 23.5%;
        top: auto;
        bottom: auto;
        margin-top: 7px;
        /* bottom:20%; */
        /* top: 226px; */
        /* transform: translate(-25%, 0); */
    }
}